com.thinkaurelius.titan.diskstorage.util

## Class StandardBaseTransactionConfig.Builder

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.util.StandardBaseTransactionConfig.Builder

- Enclosing class:
    StandardBaseTransactionConfig

      public static class StandardBaseTransactionConfig.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardBaseTransactionConfig.Builder()`
    `StandardBaseTransactionConfig.Builder(BaseTransactionConfig template)` Copies everything from `template` to this builder except for the `commitTime`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardBaseTransactionConfig` | `build()`
    `StandardBaseTransactionConfig.Builder` | `commitTime(Timepoint commit)`
    `StandardBaseTransactionConfig.Builder` | `customOptions(Configuration c)`
    `StandardBaseTransactionConfig.Builder` | `groupName(String group)`
    `StandardBaseTransactionConfig.Builder` | `timestampProvider(TimestampProvider times)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardBaseTransactionConfig.Builder

          public StandardBaseTransactionConfig.Builder()

    - #### StandardBaseTransactionConfig.Builder

          public StandardBaseTransactionConfig.Builder(BaseTransactionConfig template)

      Copies everything from `template` to this builder except for the `commitTime`.
      Parameters:
        `template` - an existing transaction from which this builder will take its values

  - ### Method Detail

    - #### groupName

          public StandardBaseTransactionConfig.Builder groupName(String group)

    - #### commitTime

          public StandardBaseTransactionConfig.Builder commitTime(Timepoint commit)

    - #### timestampProvider

          public StandardBaseTransactionConfig.Builder timestampProvider(TimestampProvider times)

    - #### customOptions

          public StandardBaseTransactionConfig.Builder customOptions(Configuration c)

    - #### build

          public StandardBaseTransactionConfig build()

Copyright © 2012–2014. All rights reserved.